/**
 * Follow route.
 *
 * @author  			Qian Chen 
 * @coplyright 		Copyright (c) 2015, zuber.im
 * @lincence
 */
(function() {
	'user strict';

	/**
     * @ngdoc object
     * @name FollowRoute
     * @module app.follow
     * @requires $stateProvider
     * @description
     * Router for the social page.
     *
     * @ngInject
     */
    function followRoute($stateProvider) {
        $stateProvider
            .state('app.follow', {
                url:   '/dashboard/follow',
                views: {
                    'dashboard': {
                        templateUrl : 'js/routes/follow/follow.html',
                        controller  : 'FollowCtrl as zub'
                    }
                }
            });
    }

    angular
    .module('app.follow')
    .config(followRoute);
})()