/**
 * Mate route.
 *
 * @author  			Qian Chen 
 * @coplyright 		Copyright (c) 2015, zuber.im
 * @lincence
 */
(function() {
	'user strict';

	/**
     * @ngdoc object
     * @name messagesRoute
     * @module app.mate
     * @requires $stateProvider
     * @description
     * Router for the mate page.
     *
     * @ngInject
     */
    function mateRoute($stateProvider) {
        $stateProvider
            .state('app.mate', {
                url:   '/dashboard/mate',
                views: {
                    'dashboard': {
                        templateUrl : 'js/routes/mate/mate.html',
                        controller  : 'MateCtrl as zub'
                    }
                }
            });
    }

    angular
    .module('app.mate')
    .config(mateRoute);
})()