/**
 *Dashboard route.
 *
 *@author  			Qian Chen
 *@coplyright 		Copyright (c) 2015, zuber.im
 *@lincence
 */
(function () {
    'use strict';

    /**
     * @ngdoc object
     * @name dashboardRoute
     * @module app.Dashboard
     * @requires $stateProvider
     * @description
     * Router for the layout page.
     *
     * @ngInject
     */
    function phoneRoute($stateProvider) {
        $stateProvider
            .state('app.register_step3', {
                url:   '/register/step3',
                views: {
                    'dashboard': {
                        templateUrl : 'js/routes/phone/phone.html',
                        controller  : 'PhoneCtrl as zub'
                    }
                }
            });
    }

    angular
        .module('app.phone')
        .config(phoneRoute);

})();
