/**
 * Profile route.
 *
 * @author  			Qian Chen 
 * @coplyright 		Copyright (c) 2015, zuber.im
 * @lincence
 */
(function() {
	'user strict';

	/**
     * @ngdoc object
     * @name profileRoute
     * @module app.roomsearch
     * @requires $stateProvider
     * @description
     * Router for the search page.
     *
     * @ngInject
     */
    function profileRoute($stateProvider) {
        $stateProvider
            .state('app.profile', {
                url:   '/dashboard/profile',
                views: {
                    'dashboard': {
                        templateUrl : 'js/routes/profile/profile.html',
                        controller  : 'ProfileCtrl as zub'
                    }
                }
            })

            .state('app.register_step1', {
                url:   '/register/step1',
                views: {
                    'dashboard': {
                        templateUrl : 'js/routes/profile/profile.html',
                        controller  : 'ProfileCtrl as zub'
                    }
                }
            });
    }

    angular
    .module('app.profile')
    .config(profileRoute);
})()