/**
 * Rent route.
 *
 * @author  			Qian Chen 
 * @coplyright 		Copyright (c) 2015, zuber.im
 * @lincence
 */
(function() {
	'user strict';

	/**
     * @ngdoc object
     * @name rentRoute
     * @module app.rent
     * @requires $stateProvider
     * @description
     * Router for the rent page.
     *
     * @ngInject
     */
    function rentRoute($stateProvider) {
        $stateProvider
            .state('app.rent', {
                url:   '/dashboard/rent',
                views: {
                    'dashboard': {
                        templateUrl : 'js/routes/rent/rent.html',
                        controller  : 'RentCtrl as zub'
                    }
                }
            })

            .state('app.register_step2', {
                url:   '/register/step2',
                views: {
                    'dashboard': {
                        templateUrl : 'js/routes/rent/rent.html',
                        controller  : 'RentCtrl as zub'
                    }
                }
            });
    }

    angular
    .module('app.rent')
    .config(rentRoute);
})()