/**
 * Gallery route.
 *
 * @author  			Qian Chen 
 * @coplyright 		Copyright (c) 2015, zuber.im
 * @lincence
 */
(function() {
	'user strict';

	/**
     * @ngdoc object
     * @name GalleryRoute
     * @module app.gallery
     * @requires $stateProvider
     * @description
     * Router for the gallery page.
     *
     * @ngInject
     */
    function galleryRoute($stateProvider) {
        $stateProvider
            .state('app.gallery', {
                url:   '/dashboard/gallery',
                views: {
                    'dashboard': {
                        templateUrl : 'js/routes/gallery/gallery.html',
                        controller  : 'GalleryCtrl as zub'
                    }
                }
            });
    }

    angular
    .module('app.gallery')
    .config(galleryRoute);
})()