/**
 * Mate controller.
 *
 * @author  			Qian Chen
 * @coplyright 		Copyright (c) 2015, zuber.im
 * @lincence
 */
(function() {
	'user strict';

	/**
     * @ngdoc controller
     * @name MateCtrl
     * @module app.mate
     * @description
     * Controller for the mate page.
     *
     * @ngInject
     */
    function MateCtrl($rootScope, $scope, ResponseService, MateService, CacheService, TEST_MODE) {
    	var zub = this;

        console.log(angular.toJson($rootScope.me));

        zub.states = ( $rootScope.me.room.status == '0' ) ? true : false;

        zub.setRoomMate = function() {

            $rootScope.me.room.status = ( zub.states ) ? '0' :'2';
            MateService.set({ mate: $rootScope.me.room.status }).then(function(data){
                ResponseService.handle(data, function() {
                    CacheService.modify('user', 'room', $rootScope.me.room);
                })
            })
        }

    }

	angular
	.module('app.mate')
	.controller('MateCtrl',MateCtrl)
})()
