/**
 *Messages route.
 *
 *@author  			Qian Chen 
 *@coplyright 		Copyright (c) 2015, zuber.im
 *@lincence
 */
(function() {
	'user strict';

	/**
     * @ngdoc object
     * @name messagesRoute
     * @module app.messages
     * @requires $stateProvider
     * @description
     * Router for the search page.
     *
     * @ngInject
     */
    function messagesRoute($stateProvider) {
        $stateProvider
            .state('app.messages', {
                url:   '/messages',
                views: {
                    'messages': {
                        templateUrl : 'js/routes/messages/messages.html',
                        controller  : 'MessagesCtrl as zub'
                    }
                }
            });
    }

    angular
    .module('app.messages')
    .config(messagesRoute);
})()