/**
 *Dashboard route.
 *
 *@author  			Qian Chen 
 *@coplyright 		Copyright (c) 2015, zuber.im
 *@lincence
 */
(function () {
    'use strict';

    /**
     * @ngdoc object
     * @name dashboardRoute
     * @module app.Dashboard
     * @requires $stateProvider
     * @description
     * Router for the layout page.
     *
     * @ngInject
     */
    function privacyRoute($stateProvider) {
        $stateProvider
            .state('app.privacy', {
                url:   '/dashboard/privacy',
                views: {
                    'dashboard': {
                        templateUrl: 'js/routes/privacy/privacy.html',
                        controller: 'PrivacyCtrl as zub'
                    }
                }
            });
    }

    angular
        .module('app.privacy')     
        .config(privacyRoute);

})();
