/**
 *Search route.
 *
 *@author  			Qian Chen 
 *@coplyright 		Copyright (c) 2015, zuber.im
 *@lincence
 */
(function() {
	'user strict';

	/**
     * @ngdoc object
     * @name searchRoute
     * @module app.roomsearch
     * @requires $stateProvider
     * @description
     * Router for the search page.
     *
     * @ngInject
     */
    function searchRoute($stateProvider) {
        $stateProvider
            .state('app.roomsearch', {
                url:   '/roomsearch',
                views: {
                    'roomsearch': {
                        templateUrl : 'js/routes/roomsearch/roomsearch.html',
                        controller  : 'SearchCtrl as zub'
                    }
                }
            });
    }

    angular
    .module('app.roomsearch')
    .config(searchRoute);
})()